Package org.eclipse.net4j.util.lifecycle

# Class LifecycleEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.lifecycle.LifecycleEvent

All Implemented Interfaces:
  `Serializable`, `IEvent`, `ILifecycleEvent`

public class LifecycleEvent extends Event implements ILifecycleEvent
A default implementation of a lifecycle `event`.

Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycleEvent

`ILifecycleEvent.Kind`

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`LifecycleEvent(ILifecycle lifecycle, ILifecycleEvent.Kind kind)`
`LifecycleEvent(Lifecycle lifecycle, ILifecycleEvent.Kind kind)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`formatAdditionalParameters()`
`ILifecycleEvent.Kind`
`getKind()`
`ILifecycle`
`getSource()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LifecycleEvent

public LifecycleEvent(ILifecycle lifecycle, ILifecycleEvent.Kind kind)

Since:
  3.3

### LifecycleEvent

public LifecycleEvent(Lifecycle lifecycle, ILifecycleEvent.Kind kind)

## Method Details

### getSource

public ILifecycle getSource()

Specified by:
  `getSource` in interface `IEvent`
Specified by:
  `getSource` in interface `ILifecycleEvent`
Overrides:
  `getSource` in class `Event`
Since:
  3.0

### getKind

public ILifecycleEvent.Kind getKind()

Specified by:
  `getKind` in interface `ILifecycleEvent`

### formatAdditionalParameters

protected String formatAdditionalParameters()

Overrides:
  `formatAdditionalParameters` in class `Event`